# ``twisted`.`cred`.`checkers`.`AllowAnonymousAccess``

class documentation

`class AllowAnonymousAccess: (source)`

Implements interfaces: `twisted.cred.checkers.ICredentialsChecker`

View In Hierarchy

A credentials checker that unconditionally grants anonymous access.

Method | `requestAvatarId` | Succeed with the `ANONYMOUS` avatar ID.
Class Variable | `credentialInterfaces` | Tuple containing `IAnonymous`.

def requestAvatarId(self, credentials): (source)
from `twisted.cred.checkers.ICredentialsChecker`
Succeed with the `ANONYMOUS` avatar ID.

Returns
`Deferred` that fires with `twisted.cred.checkers.ANONYMOUS`

credentialInterfaces = (source)
from `twisted.cred.checkers.ICredentialsChecker`
Tuple containing `IAnonymous`.